LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Puppy (http://www.linuxquestions.org/questions/puppy-71/)
-   -   Is tcl/tk OK on Puppy 2.0x? (http://www.linuxquestions.org/questions/puppy-71/is-tcl-tk-ok-on-puppy-2-0x-458271/)

edoc7 06-25-2006 07:28 PM

Is tcl/tk OK on Puppy 2.0x?
 
Is tcl/tk OK on Puppy 2.0x?

I am looking at a radio scanner app and don't want to jump through
a bunch of hoops only to discover that it cannot work.

There is a ridiculous requirement here of 3 posts before one
may post a URL ... from what planet ... ?


You can do a search on dxzone dot com for BCD396T Manager
and find it.

Sorry for the hassle created by linuxquestions

Thanks! doc

LobsterEd 06-25-2006 08:14 PM

Quote:

Originally Posted by edoc7
Is tcl/tk OK on Puppy 2.0x?

Yes fine. I have used visual tcl in Puppy2 which still includes the tcl language
:)

edoc7 06-25-2006 08:22 PM

Quote:

Originally Posted by LobsterEd
Yes fine. I have used visual tcl in Puppy2 which still includes the tcl language
:)

Awesome, thanks!

As soon as the author replies to tell me if it will work with my BR330T scanner as
well as the design device ... if in the affirmative ... I will get it loaded.

Thanks again! doc

BarryK 06-25-2006 08:27 PM

With Puppy 2.01 I upgraded to Tcl/Tk v8.5a4, although it is still alpha,
as I wanted to get the font antialiasing -- want our Tk GUI apps to look
more modern!
However, some Tcl/Tk apps do not work quite right. TkDVD for example, works,
but the main window is not high enough, has to be resized. Some checkboxes
and radiobuttons in the preferences window are greyed-out when not selected
rather than blanked.

Hmm, I wonder if font-antialising got backported to any 8.4 source?

edoc7 06-25-2006 09:27 PM

Quote:

Originally Posted by BarryK
With Puppy 2.01 I upgraded to Tcl/Tk v8.5a4, although it is still alpha,
as I wanted to get the font antialiasing -- want our Tk GUI apps to look
more modern!
However, some Tcl/Tk apps do not work quite right. TkDVD for example, works,
but the main window is not high enough, has to be resized. Some checkboxes
and radiobuttons in the preferences window are greyed-out when not selected
rather than blanked.

Hmm, I wonder if font-antialising got backported to any 8.4 source?

Just tried to install wcb3.1.tar.gz using PupGet and it failed with an
error about the app trying to install somewhere other than in a top
level directory.

Is there a workaround?

Thanks! nothing-is-ever-simple-doc

BarryK 07-06-2006 08:53 AM

That's a bug in the pupget script, a restriction left-over from puppy1.x.
I fixed it, for pup 2.02.

But, you can just expand the tarball and copy everything into place.
# tar -zxf file.tar.gz

edoc7 07-06-2006 10:40 AM

Quote:

Originally Posted by BarryK
That's a bug in the pupget script, a restriction left-over from puppy1.x.
I fixed it, for pup 2.02.

But, you can just expand the tarball and copy everything into place.
# tar -zxf file.tar.gz

When will 2.02 be available for download, please?

Anxious inquiring minds want to know ... :-)

Thanks! doc


All times are GMT -5. The time now is 10:49 PM.